Bug 1415182

Summary: gpg: apdu_send_simple(0) failed: unknown status error
Product: [Fedora] Fedora Reporter: Yogesh Seralia <yogeshseralia21>
Component: pcsc-liteAssignee: Bob Relyea <rrelyea>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 25CC: klember, ludovic.rousseau+fedoraproject, nmavrogi, rrelyea, yogeshseralia21
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:49:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Yogesh Seralia 2017-01-20 13:37:23 UTC
Description of problem:  Could not get the status or info of card placed lready on reader with command gpg -v --card-status, hence getting CardTerminal list as empty from javax.smartcardio  api.  



Version-Release number of selected component (if applicable): 

pcsc-lite version 1.8.20.
Copyright (C) 1999-2002 by David Corcoran <corcoran@musclecard.com>.
Copyright (C) 2001-2015 by Ludovic Rousseau <ludovic.rousseau@free.fr>.
Copyright (C) 2003-2004 by Damien Sauveron <sauveron@labri.fr>.
Report bugs to <pcsclite-muscle@lists.alioth.debian.org>.
Enabled features: Linux x86_64-redhat-linux-gnu serial usb libudev usbdropdir=/usr/lib64/pcsc/drivers ipcdir=/var/run/pcscd configdir=/etc/reader.conf.d
 


How reproducible:


Steps to Reproduce:
1. Install latest pcscd 1.8.20, libudev, libccid, ACR122U drivers from official site and pcsc-tools latest,and blacklist pn533 for making libccid to access reaer. 
2. As root run pcscd as debug and in foreground.  
3. Now run gpg -v --card-status to get status for card.


Actual results:

[root@localhost rules.d]# gpg -v --card-status
gpg: detected reader `ACS ACR122U 00 00'
gpg: reader slot 0: not connected
gpg: reader slot 0: active protocol: T1
gpg: slot 0: ATR=3B 8F 80 01 80 4F 0C A0 00 00 03 06 03 00 01 00 00 00 00 6A
gpg: apdu_send_simple(0) failed: unknown status error
Please insert the card and hit return or enter 'c' to cancel: 


and pcscd -f -d result :

[root@localhost ~]# pcscd -f -d
00000000 debuglog.c:289:DebugLogSetLevel() debug level=debug
00000117 configfile.l:282:DBGetReaderListDir() Parsing conf directory: /etc/reader.conf.d
00000018 configfile.l:358:DBGetReaderList() Parsing conf file: /etc/reader.conf.d/libccidtwin
00000040 configfile.l:319:DBGetReaderListDir() Skipping non regular file: ..
00000006 configfile.l:319:DBGetReaderListDir() Skipping non regular file: .
00000005 pcscdaemon.c:655:main() pcsc-lite 1.8.20 daemon ready.
00004481 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x1D6B, PID: 0x0002, path: /dev/bus/usb/002/001
00000222 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x1D6B, PID: 0x0003, path: /dev/bus/usb/003/001
00000223 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x1D6B, PID: 0x0002, path: /dev/bus/usb/001/001
00000138 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x1D6B, PID: 0x0002, path: /dev/bus/usb/001/001
00000146 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x8087, PID: 0x8000, path: /dev/bus/usb/001/002
00000155 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x072F, PID: 0x2200, path: /dev/bus/usb/001/003
00000008 hotplug_libudev.c:433:HPAddDevice() Adding USB device: ACS ACR122U
00000050 readerfactory.c:1079:RFInitializeReader() Attempting startup of ACS ACR122U 00 00 using /usr/lib64/pcsc/drivers/ifd-acsccid.bundle/Contents/Linux/libacsccid.so
00000294 readerfactory.c:954:RFBindFunctions() Loading IFD Handler 3.0
00000028 ifdhandler.c:2611:init_driver() Driver version: 1.1.4
00000226 ifdhandler.c:2628:init_driver() LogLevel: 0x0003
00000007 ifdhandler.c:2639:init_driver() DriverOptions: 0x0000
00000003 ifdhandler.c:2647:init_driver() ACSDriverOptions: 0x0003
00000003 ifdhandler.c:2655:init_driver() ACR38CardVoltage: 0
00000003 ifdhandler.c:2663:init_driver() ACR38CardType: 0
00000044 ifdhandler.c:121:CreateChannelByNameOrChannel() Lun: 0, device: usb:072f/2200:libudev:0:/dev/bus/usb/001/003
00000021 ccid_usb.c:313:OpenUSBByName() Using: /usr/lib64/pcsc/drivers/ifd-acsccid.bundle/Contents/Info.plist
00000251 ccid_usb.c:331:OpenUSBByName() ifdManufacturerString: Advanced Card Systems Ltd.
00000007 ccid_usb.c:332:OpenUSBByName() ifdProductString: ACS CCID driver
00000003 ccid_usb.c:333:OpenUSBByName() Copyright: This driver is protected by terms of the GNU Lesser General Public License version 2.1, or (at your option) any later version.
00002901 ccid_usb.c:715:OpenUSBByName() Found Vendor/Product: 072F/2200 (ACS ACR122U)
00000006 ccid_usb.c:717:OpenUSBByName() Using USB bus/device: 1/3
00000003 ccid_usb.c:891:OpenUSBByName() bNumDataRatesSupported is 0
01104455 ifdhandler.c:266:CreateChannelByNameOrChannel() dwFeatures: 0x00020040
00000017 ifdhandler.c:267:CreateChannelByNameOrChannel() wLcdLayout: 0x0000
00000021 ifdhandler.c:268:CreateChannelByNameOrChannel() bPINSupport: 0x00
00000010 ifdhandler.c:269:CreateChannelByNameOrChannel() dwMaxCCIDMessageLength: 271
00000009 ifdhandler.c:270:CreateChannelByNameOrChannel() dwMaxIFSD: 256
00000010 ifdhandler.c:271:CreateChannelByNameOrChannel() dwDefaultClock: 4000
00000011 ifdhandler.c:272:CreateChannelByNameOrChannel() dwMaxDataRate: 250000
00000028 ifdhandler.c:273:CreateChannelByNameOrChannel() bMaxSlotIndex: 0
00000016 ifdhandler.c:274:CreateChannelByNameOrChannel() bCurrentSlotIndex: 0
00000016 ifdhandler.c:275:CreateChannelByNameOrChannel() bInterfaceProtocol: 0x00
00000015 ifdhandler.c:276:CreateChannelByNameOrChannel() bNumEndpoints: 3
00000016 ifdhandler.c:277:CreateChannelByNameOrChannel() bVoltageSupport: 0x07
00000018 ifdhandler.c:443:IFDHGetCapabilities() tag: 0xFB3, usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00000007 readerfactory.c:395:RFAddReader() Using the reader polling thread
00000606 ifdhandler.c:443:IFDHGetCapabilities() tag: 0xFAE, usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00000014 ifdhandler.c:543:IFDHGetCapabilities() Reader supports 1 slot(s)
00000260 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x8087, PID: 0x8000, path: /dev/bus/usb/001/002
00000173 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x0C45, PID: 0x6A04, path: /dev/bus/usb/001/004
00000167 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x0C45, PID: 0x6A04, path: /dev/bus/usb/001/004
00000160 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x8087, PID: 0x8000, path: /dev/bus/usb/001/002
00000163 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x0CF3, PID: 0x0036, path: /dev/bus/usb/001/007
00000119 ifdhandler.c:1320:IFDHPowerICC() action: PowerUp, usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00000046 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x0CF3, PID: 0x0036, path: /dev/bus/usb/001/007
00000150 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x8087, PID: 0x8000, path: /dev/bus/usb/001/002
00000141 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x0BDA, PID: 0x0129, path: /dev/bus/usb/001/006
00000138 hotplug_libudev.c:294:get_driver() Looking for a driver for VID: 0x8087, PID: 0x8000, path: /dev/bus/usb/001/002
00000045 readerfactory.c:1420:RFWaitForReaderInit() Waiting init for reader: ACS ACR122U 00 00
00000346 eventhandler.c:286:EHStatusHandlerThread() powerState: POWER_STATE_POWERED
00000011 Card ATR: 3B 8F 80 01 80 4F 0C A0 00 00 03 06 03 00 01 00 00 00 00 6A 
05003346 ifdhandler.c:1320:IFDHPowerICC() action: PowerDown, usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00000481 eventhandler.c:479:EHStatusHandlerThread() powerState: POWER_STATE_UNPOWERED
10448470 ccid_usb.c:1781:InterruptRead() 1/3: Slot 0: 0x02
00000570 eventhandler.c:355:EHStatusHandlerThread() Card Removed From ACS ACR122U 00 00
01951456 ccid_usb.c:1781:InterruptRead() 1/3: Slot 0: 0x00
00001208 ifdhandler.c:1320:IFDHPowerICC() action: PowerUp, usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00000954 eventhandler.c:403:EHStatusHandlerThread() powerState: POWER_STATE_POWERED
00000031 eventhandler.c:420:EHStatusHandlerThread() Card inserted into ACS ACR122U 00 00
00000015 Card ATR: 3B 8F 80 01 80 4F 0C A0 00 00 03 06 03 00 01 00 00 00 00 6A 
05001890 ifdhandler.c:1320:IFDHPowerICC() action: PowerDown, usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00000497 eventhandler.c:479:EHStatusHandlerThread() powerState: POWER_STATE_UNPOWERED
12341272 hotplug_libudev.c:642:HPEstablishUSBNotifications() USB Device removed
00000412 hotplug_libudev.c:360:HPRemoveDevice() Removing USB device[0]: ACS ACR122U at /dev/bus/usb/001/003
00000020 readerfactory.c:608:RFRemoveReader() UnrefReader() count was: 1
00000013 eventhandler.c:176:EHDestroyEventHandler() Stomping thread.
00000013 ifdhandler.c:443:IFDHGetCapabilities() tag: 0xFB1, usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00000012 ifdhandler.c:443:IFDHGetCapabilities() tag: 0xFB2, usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00000012 eventhandler.c:201:EHDestroyEventHandler() Request stopping of polling thread
00000012 ifdhandler.c:408:IFDHStopPolling() usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00269997 eventhandler.c:502:EHStatusHandlerThread() Die
00000126 eventhandler.c:216:EHDestroyEventHandler() Thread stomped.
00000016 readerfactory.c:1130:RFUnInitializeReader() Attempting shutdown of ACS ACR122U 00 00.
00000009 ifdhandler.c:346:IFDHCloseChannel() usb:072f/2200:libudev:0:/dev/bus/usb/001/003 (lun: 0)
00000023 ccid_usb.c:1132:WriteUSB() write failed (1/3): -4 LIBUSB_ERROR_NO_DEVICE
00000026 ccid_usb.c:215:close_libusb_if_needed() libusb_exit
00000149 readerfactory.c:991:RFUnloadReader() Unloading reader driver.





Expected results:

[root@localhost ~]# pcscd -f -d
00000000 pcscdaemon.c:267:main() pcscd set to foreground with debug send to stderr
00000047 debuglog.c:239:DebugLogSetLevel() debug level=debug
00004950 pcscdaemon.c:506:main() pcsc-lite 1.5.2 daemon ready.
00041789 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x072F, PID: 0x2200
00000008 hotplug_libhal.c:342:HPAddDevice() Adding USB device: usb_device_72f_2200_noserial_if0
01000735 readerfactory.c:1024:RFInitializeReader() Attempting startup of ACS ACR122U 00 00 using /usr/lib64/pcsc/drivers/ifd-acsccid.bundle/Contents/Linux/libacsccid.so
00000445 readerfactory.c:877:RFBindFunctions() Loading IFD Handler 3.0
00000054 ifdhandler.c:2335:init_driver() Driver version: 1.0.4
00000492 ifdhandler.c:2348:init_driver() LogLevel: 0x0003
00000319 ifdhandler.c:2368:init_driver() DriverOptions: 0x00C0
00000342 ifdhandler.c:2395:init_driver() ACR38CardVoltage: 0
00000308 ifdhandler.c:2402:init_driver() ACR38CardType: 0
00000014 ifdhandler.c:94:IFDHCreateChannelByName() lun: 0, device: usb:072f/2200:libhal:/org/freedesktop/Hal/devices/usb_device_72f_2200_noserial_if0
00001219 ccid_usb.c:375:OpenUSBByName() Manufacturer: Advanced Card Systems Ltd.
00000307 ccid_usb.c:385:OpenUSBByName() ProductString: ACS CCID driver
00000354 ccid_usb.c:391:OpenUSBByName() Copyright: This driver is protected by terms of the GNU Lesser General Public License version 2.1, or (at your option) any later version.
00004398 ccid_usb.c:649:OpenUSBByName() Found Vendor/Product: 072F/2200 (ACS ACR122U)
00000004 ccid_usb.c:651:OpenUSBByName() Using USB bus/device: 003/009
00000255 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000004 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000010 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000002 ccid_usb.c:1402:get_data_rates() declared: 0 bps
00000001 ccid_usb.c:1402:get_data_rates() declared: 0 bps
01001133 ifdhandler.c:220:IFDHCreateChannelByName() dwFeatures: 0x00020040
00000025 ifdhandler.c:221:IFDHCreateChannelByName() wLcdLayout: 0x0000
00000011 ifdhandler.c:222:IFDHCreateChannelByName() bPINSupport: 0x00
00000009 ifdhandler.c:223:IFDHCreateChannelByName() dwMaxCCIDMessageLength: 271
00000008 ifdhandler.c:224:IFDHCreateChannelByName() dwMaxIFSD: 256
00000008 ifdhandler.c:225:IFDHCreateChannelByName() dwDefaultClock: 4000
00000008 ifdhandler.c:226:IFDHCreateChannelByName() dwMaxDataRate: 250000
00000007 ifdhandler.c:227:IFDHCreateChannelByName() bMaxSlotIndex: 0
00000009 ifdhandler.c:228:IFDHCreateChannelByName() bCurrentSlotIndex: 0
00000007 ifdhandler.c:229:IFDHCreateChannelByName() bInterfaceProtocol: 0x00
00000008 ifdhandler.c:230:IFDHCreateChannelByName() bNumEndpoints: 3
00000008 ifdhandler.c:231:IFDHCreateChannelByName() bVoltageSupport: 0x07
00000018 ifdhandler.c:536:IFDHGetCapabilities() tag: 0xFB0, usb:072f/2200:libhal:/org/freedesktop/Hal/devices/usb_device_72f_2200_noserial_if0 (lun: 0)
00000009 readerfactory.c:249:RFAddReader() Using the pcscd polling thread
00000657 ifdhandler.c:536:IFDHGetCapabilities() tag: 0xFAE, usb:072f/2200:libhal:/org/freedesktop/Hal/devices/usb_device_72f_2200_noserial_if0 (lun: 0)
00000023 ifdhandler.c:630:IFDHGetCapabilities() Reader supports 1 slot(s)
00001000 ifdhandler.c:1354:IFDHPowerICC() action: PowerUp, usb:072f/2200:libhal:/org/freedesktop/Hal/devices/usb_device_72f_2200_noserial_if0 (lun: 0)
00000940 Card ATR: 3B 8F 80 01 80 4F 0C A0 00 00 03 06 03 00 01 00 00 00 00 6A 
00021088 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x8087, PID: 0x8000
00000457 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x1D6B, PID: 0x0002
00001725 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x8087, PID: 0x8008
00000487 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x1D6B, PID: 0x0002
00000799 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x1D6B, PID: 0x0003
00000486 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x8087, PID: 0x07DC
00000440 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x8087, PID: 0x07DC
00000535 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x058F, PID: 0x9540
00000537 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x28C8, PID: 0x4702
00000381 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x28C8, PID: 0x4702
00000459 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x1C7A, PID: 0x0603
00000491 hotplug_libhal.c:307:get_driver() Looking a driver for VID: 0x1D6B, PID: 0x0002

99999999 eventhandler.c:361:EHStatusHandlerThread() Card Removed From ACS ACR122U 00 00
01969317 ifdhandler.c:1354:IFDHPowerICC() action: PowerUp, usb:072f/2200:libhal:/org/freedesktop/Hal/devices/usb_device_72f_2200_noserial_if0 (lun: 0)
00109789 eventhandler.c:429:EHStatusHandlerThread() Card inserted into ACS ACR122U 00 00
00000010 Card ATR: 3B 8F 80 01 80 4F 0C A0 00 00 03 06 03 00 01 00 00 00 00 6A 
10140676 eventhandler.c:361:EHStatusHandlerThread() Card Removed From ACS ACR122U 00 00
01341945 ifdhandler.c:1354:IFDHPowerICC() action: PowerUp, usb:072f/2200:libhal:/org/freedesktop/Hal/devices/usb_device_72f_2200_noserial_if0 (lun: 0)
00051244 eventhandler.c:429:EHStatusHandlerThread() Card inserted into ACS ACR122U 00 00
00000010 Card ATR: 3B 8F 80 01 80 4F 0C A0 00 00 03 06 03 00 01 00 00 00 00 6A 



WHEN REMOVING CARD READER ---------

00000034 ccid_usb.c:950:WriteUSB() usb_bulk_write(003/010): No such device
00000045 readerfactory.c:914:RFUnloadReader() Unloading reader driver.



Additional info: Nothing for Now.

Comment 1 Fedora End Of Life 2017-11-16 19:01:57 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:49:59 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.